net.sourceforge.pmd.dcd.graph

## Class UsageGraphBuilder

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.UsageGraphBuilder

-     public class UsageGraphBuilder
      extends Object

  Utility class used to build a UsageGraph.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `UsageGraphBuilder.MyMethodVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Filter<String>` | `classFilter`
    `protected UsageGraph` | `usageGraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsageGraphBuilder(Filter<String> classFilter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.objectweb.asm.MethodVisitor` | `getNewMethodVisitor(PrintVisitor parent, MemberNode usingMemberNode)`
    `UsageGraph` | `getUsageGraph()`
    `void` | `index(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### usageGraph

          protected final UsageGraph usageGraph

    - #### classFilter

          protected final Filter<String> classFilter

  - ### Constructor Detail

    - #### UsageGraphBuilder

          public UsageGraphBuilder(Filter<String> classFilter)

  - ### Method Detail

    - #### index

          public void index(String name)

    - #### getUsageGraph

          public UsageGraph getUsageGraph()

    - #### getNewMethodVisitor

          protected org.objectweb.asm.MethodVisitor getNewMethodVisitor(PrintVisitor parent,
                                                            MemberNode usingMemberNode)

Copyright © 2002-2013 InfoEther. All Rights Reserved.